package com.mediamain.sdk_flutter.broadcast;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.text.TextUtils;

import com.mediamain.sdk_flutter.model.DownloadTaskBean;
import com.mediamain.sdk_flutter.util.CommonUtils;
import com.mediamain.sdk_flutter.util.DownloadUtils;

import java.util.HashMap;
import java.util.Set;

/**
 * <p> File description: <p>
 * <p> Creator: Adroll   <p>
 * <p> Created date: 6/1/21 <p>
 * * * * * * * * * * * * * * * * * * * * * *
 * Thinking is more important than coding *
 * * * * * * * * * * * * * * * * * * * * * *
 */
public class DownloadBroadCast extends BroadcastReceiver {

    private HashMap<String, DownloadTaskBean> beanMap = null;
    private String mPackageName = "";
    private String mUrl = "";

    public void setBean(String url, String packageName, String icon, String tuiaId) {
        setData(packageName,url);
        if (beanMap == null){
            beanMap = new HashMap<>();
        }
        if (beanMap.containsKey(packageName)) {
            return;
        }

        DownloadTaskBean bean = new DownloadTaskBean(url, packageName, icon, tuiaId);
        beanMap.put(packageName, bean);
    }

    public void setData(String packageName, String url){
        beanMap = null;
        mPackageName = packageName;
        mUrl = url;
    }

    @Override
    public void onReceive(Context context, Intent intent) {
        try {
            if (intent.getAction().equals(Intent.ACTION_PACKAGE_ADDED)){
                if(beanMap != null) {
                    String p = filterPackageName();
                    if (!TextUtils.isEmpty(p)){
                        DownloadUtils.getInstance().showNotification(CommonUtils.Companion.getApplication(), beanMap.get(p).getUrl(), p, beanMap.get(p).getIcon(),
                                "200", true, beanMap.get(p).getTuiaId(), true);
                        sendLimitBroadcast(beanMap.get(p).getUrl(), p);
                    }
                    beanMap.remove(p);
                }
            }
        }catch (Exception ignored){

        }


    }

    private String filterPackageName(){
        Set<String> nameList = beanMap.keySet();
        for (String s : nameList) {
            if (DownloadUtils.getInstance().isAppInstall(CommonUtils.Companion.getApplication(), s)){
                return s;
            }
        }

        return null;
    }

    private void sendLimitBroadcast(String url, String packageName){
        Intent intent = new Intent();
        intent.putExtra("url", url);
        intent.putExtra("packageName", packageName);
        intent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
        intent.setAction("com.mediamain.installed");
        CommonUtils.Companion.getApplication().sendBroadcast(intent);
    }
}
