package com.mediamain.sdk_flutter.util

import java.security.MessageDigest
import java.security.NoSuchAlgorithmException

object FoxDigestUtils {
    fun getDigest(algorithm: String?): MessageDigest {
        return try {
            MessageDigest.getInstance(algorithm)
        } catch (e: NoSuchAlgorithmException) {
            throw RuntimeException(e.message)
        }
    }

    private val md5Digest: MessageDigest
        private get() = getDigest("MD5")

    private val shaDigest: MessageDigest
        private get() = getDigest("SHA")

    fun md5(data: ByteArray?): ByteArray {
        return md5Digest.digest(data)
    }

    fun md5(data: String): ByteArray {
        return md5(data.toByteArray())
    }

    fun md5Hex(data: ByteArray?): String {
        return String(JHex.encodeHex(md5(data)))
    }

    @JvmStatic
    fun md5Hex(data: String): String {
        return String(JHex.encodeHex(md5(data)))
    }

    fun sha(data: ByteArray?): ByteArray {
        return shaDigest.digest(data)
    }

    fun sha(data: String): ByteArray {
        return sha(data.toByteArray())
    }

    fun shaHex(data: ByteArray?): String {
        return String(JHex.encodeHex(sha(data)))
    }

    fun shaHex(data: String): String {
        return String(JHex.encodeHex(sha(data)))
    }
}