package com.mediamain.sdk_flutter.util

import android.content.Context
import android.content.SharedPreferences

/**
 * SharedPreferences 工具类
 */
class SPUtils {
    private var mSp: SharedPreferences? = null
    fun getString(key: String?, value: String?): String? {
        try {
            if (mSp != null) {
                return mSp!!.getString(key, value)
            }
        } catch (e: Exception) {
            e.printStackTrace()
        }
        return ""
    }

    /**
     * sputils
     *
     * @param key   读取时的键值
     * @param value 默认值
     * @return
     */
    fun setString(key: String?, value: String?): SPUtils {
        try {
            val editor = mSp!!.edit()
            editor.putString(key, value)
            editor.apply()
        } catch (e: Exception) {
            e.printStackTrace()
        }
        return this
    }

    /**
     * sputils
     *
     * @param key   读取时的键值
     * @param value 默认值
     * @return
     */
    fun getBoolean(key: String?, value: Boolean): Boolean {
        try {
            if (mSp != null) {
                return mSp!!.getBoolean(key, value)
            }
        } catch (e: Exception) {
            e.printStackTrace()
        }
        return false
    }

    /**
     * @param key
     * @param value 要写入的值
     * @return
     */
    fun setBoolean(key: String?, value: Boolean): SPUtils {
        try {
            val editor = mSp!!.edit()
            editor.putBoolean(key, value)
            editor.apply()
        } catch (e: Exception) {
            e.printStackTrace()
        }
        return this
    }

    fun getLong(key: String?, value: Long): Long {
        try {
            if (mSp != null) {
                return mSp!!.getLong(key, value)
            }
        } catch (e: Exception) {
            e.printStackTrace()
        }
        return 0L
    }

    /**
     * sputils
     *
     * @param key   读取时的键值
     * @param value 默认值
     * @return
     */
    fun setLong(key: String?, value: Long): SPUtils {
        try {
            val editor = mSp!!.edit()
            editor.putLong(key, value)
            editor.apply()
        } catch (e: Exception) {
            e.printStackTrace()
        }
        return this
    }

    fun getInt(key: String?, value: Int): Int {
        try {
            if (mSp != null) {
                return mSp!!.getInt(key, value)
            }
        } catch (e: Exception) {
            e.printStackTrace()
        }
        return 0
    }

    /**
     * sputils
     *
     * @param key   读取时的键值
     * @param value 默认值
     * @return
     */
    fun setInt(key: String?, value: Int): SPUtils {
        try {
            val editor = mSp!!.edit()
            editor.putInt(key, value)
            editor.apply()
        } catch (e: Exception) {
            e.printStackTrace()
        }
        return this
    }

    fun containsKey(key: String?): Boolean {
        try {
            return if (mSp == null) {
                false
            } else mSp!!.contains(key)
        } catch (e: Exception) {
        }
        return false
    }

    fun remove(key: String?) {
        try {
            val editor = mSp!!.edit()
            editor.remove(key)
            editor.apply()
        } catch (e: Exception) {
        }
    }

    companion object {
        @Volatile
        private var mInstance: SPUtils? = null
        val instance: SPUtils?
            get() {
                try {
                    if (null == mInstance) {
                        synchronized(SPUtils::class.java) {
                            if (null == mInstance) {
                                mInstance = SPUtils()
                                mInstance!!.mSp = CommonUtils.getApplication()?.getSharedPreferences("tui_base", Context.MODE_PRIVATE)
                            }
                        }
                    }
                } catch (e: Exception) {
                    e.printStackTrace()
                }
                return mInstance
            }
    }
}