package com.mediamain.sdk_flutter.util

import android.text.TextUtils
import com.mediamain.sdk_flutter.util.FoxDigestUtils.md5Hex
import com.mediamain.sdk_flutter.util.cons.DeviceTypeEnum
import java.util.*

object TcIdDataUtils {
    const val TCID = "tcid"

    /**
     * 生成带时间错的uuid，tcid也采用当前策略
     * 1.时间戳
     * 2.带标志信息：设备类型
     * IMEI(1, "1010"),
     * IDFA(2, "1020"),
     * OAID(3, "1011"),
     * 合法的deviceId是md5小写32位的
     * DEVICE_ID(4, "1030"),
     * UUID(5, "1040"),
     * UNKNOWN(6, "1050");
     *
     * @return
     */
    fun getUUIDAndMd5(desc: String): String {
        var desc = desc
        if (TextUtils.isEmpty(desc) || desc.length > 4) {
            desc = DeviceTypeEnum.UNKNOWN.desc
        }
        val length = desc.length
        var uuid = ""
        try {
            uuid = UUID.randomUUID().toString() + System.currentTimeMillis()
            uuid = md5Hex(uuid)

            // 替换后的uuid
            uuid = desc + uuid.substring(length, uuid.length)
        } catch (ignored: Exception) {
        }
        return uuid
    }

    fun getUrlDomain(url: String): String {
        var promoteUrl = ""
        try {
            if (!url.isEmpty()) {
                promoteUrl = url
                val strings = promoteUrl.split("&").toTypedArray()
                promoteUrl = if (strings.size > 0) strings[0] else url
            }
        } catch (ignored: Exception) {
        }
        return promoteUrl
    }
}