package com.mediamain.sdk_flutter.util.cons

object CommonConstants {

    /**
     * Android cache
     */
    const val KEY_TUIA_ANDROID_CACHE = "/storage/emulated/0/Android/data/"

    /**
     * applist
     */
    const val KEY_TUIA_SDK = "tuia_sdk"

    /**
     * app cache
     */
    const val KEY_TUIA_SDK_CACHE = "tm_sdk_cache"

    /**
     * app usage
     */
    const val KEY_TUIA_SDK_APP_USAGE = "tuia_sdk_usage"

    /**
     * app sensor
     */
    const val KEY_TUIA_SDK_APP_SENSOR = "tuia_sdk_app_sensor"

    /**
     * Crash info
     */
    const val KEY_TUIA_SDK_APP_CRASH = "tuia_sdk_app_crash:"

    /**
     * 引起崩溃类型：
     * 1 -> sdk引起
     * 2 -> oaid引起
     * 3 -> 其他异常
     */
    const val KEY_TUIA_SDK_CRASH_INFO_TYPE = "tuia_sdk_crash_info_type"

    /**
     * 开启try/catch错误上报开关
     */
    const val KEY_TUIA_SDK_ERROR_REPORT_SWITCH = "tuia_sdk_error_report_switch"

    /**
     * 异常上报周期 / h
     */
    const val KEY_TUIA_SDK_ERROR_REPORT_TIME_INTERVAL = "tuia_sdk_error_report_interval"

    /**
     * SDK 包名
     */
    const val KEY_TUIA_SDK_PACKAGE_NAME = "com.mediamain.android"

    /**
     * OAID 包名
     */
    const val KEY_TUIA_SDK_OAID_PACKAGE_NAME = "com.bun."

    /**
     * OAID
     */
    const val KEY_TUIA_SDK_APP_OAID = "tuia_sdk_app_oaid"

    /**
     * 支持活动是否开启下载
     */
    const val KEY_TUIA_SDK_ISSUPPORTDOWNLOAD = "tuia_sdk_isSupportDownload"

    /**
     * IMEI缓存
     */
    const val KEY_TUIA_SDK_IMEI = "tuia_sdk_imei"

    /**
     * 配置参数
     */
    const val KEY_TUIA_SDK_CONFIG = "tuia_sdk_config"

    /**
     * 签名
     */
    //    public static final String KEY_SECRET = BuildConfig.HOST_KEY;
//    val KEY_SECRET: String = AutoConfig.getConfigHostKey()

    /**
     * appkey
     */
    const val KEY_TUIA_APPKEY = "TUIA_APPKEY"

    /**
     * appsecret
     */
    const val KEY_TUIA_APPSECRET = "TUIA_APPSECRET"

    /**
     * 代理appkey
     */
    const val KEY_PRO_APPKEY = "PRO_APPKEY"

    /**
     * 代理appsecret
     */
    const val KEY_PRO_APPSECRET = "PRO_APPSECRET"

    /**
     * 埋点-信息流广告-下载类
     * 曝光：dpm=AppId.66.101.6
     * access_log.sls_duiba_exposure_log
     */
    const val ANDROID_APK_EVENT_INFO_STREAM_EXPOSED = "AppId.66.101.6"

    /**
     * 埋点-信息流广告-下载类
     * 点击: dpm=AppId.66.101.6
     * access_log.sls_duiba_access_log
     */
    const val ANDROID_APK_EVENT_INFO_STREAM_CLICK = "AppId.66.101.6"

    /**
     * 埋点-弹窗曝光
     */
    const val ANDROID_APK_EVENT_POP_EXPOSED = "AppId.66.101.0"

    /**
     * 埋点-弹窗关闭按钮点击的pv/uv
     */
    const val ANDROID_APK_EVENT_POP_CLOSE_CLICK = "AppId.66.101.3"

    /**
     * 埋点 - 开始下载的曝光pv/uv
     */
    const val ANDROID_APK_EVENT_DOWNLOAD_START_EXPOSURE = "AppId.66.101.1"

    /**
     * 埋点 - 下载完成的曝光PV/UV
     */
    const val ANDROID_APK_EVENT_DOWNLOAD_END_EXPOSURE = "AppId.66.101.2"

    /**
     * 埋点-.apk的后续转化行为（立即安装）
     * 立即安装按钮曝光pv/uv
     */
    const val ANDROID_APK_EVENT_INSTALL_EXPOSURE = "AppId.66.101.4"

    /**
     * 埋点-.apk的后续转化行为（立即安装）
     * 立即安装按钮的点击pv/uv
     */
    const val ANDROID_APK_EVENT_INSTALL_CLICK = "AppId.66.101.4"

    /**
     * 埋点-.apk的后续转化行为（立即打开）
     * 打开领取奖励按钮的曝光pv/uv
     * 曝光：dpm=AppId.66.101.5
     * access_log.sls_duiba_exposure_log
     */
    const val ANDROID_APK_EVENT_OPEN_EXPOSURE = "AppId.66.101.5"

    /**
     * 埋点-apk的后续转化行为（立即打开）
     * 打开领取奖励按钮的点击pv/uv
     *
     * 点击: dpm=AppId.66.101.5
     * access_log.sls_duiba_access_log
     */
    const val ANDROID_APK_EVENT_OPEN_CLICK = "AppId.66.101.5"

    /**
     * 埋点-下载中断
     * 曝光：dpm=AppId.66.101.7
     *
     * access_log.sls_duiba_exposure_log
     */
    const val ANDROID_APK_EVENT_DOWNLOAD_ERROR_EXPOSURE = "AppId.66.101.7"

    /**
     * 下载器下载场景
     * 1-信息流直投下载
     */
    const val ANDROID_APK_EVENT_APK_DOWN_SCENES_1 = 1

    /**
     * 下载器下载场景
     * 2-券弹层原生下载
     */
    const val ANDROID_APK_EVENT_APK_DOWN_SCENES_2 = 2

    /**
     * 下载器下载场景
     * 3-落地页弹窗下载
     */
    const val ANDROID_APK_EVENT_APK_DOWN_SCENES_3 = 3

    /**
     * 下载器下载场景
     * 4-原生插屏下载
     */
    const val ANDROID_APK_EVENT_APK_DOWN_SCENES_4 = 4

    /**
     * 曝光上报
     */
    const val OPERATETYPE_EXPOSED = 0

    /**
     * 点击上报
     */
    const val OPERATETYPE_CLICK = 1

    /**
     * 打开
     */
    const val SUB_TYPE_OPEN = 2

    /**
     * 自动检测工具类型 1-活动参与
     */
    const val KEY_CHECK_ACTIVITY = 1

    /**
     * 自动检测工具类型 2-下载开始
     */
    const val KEY_CHECK_DOWNLOAD_START = 2

    /**
     * 自动检测工具类型 3-下载成功
     */
    const val KEY_CHECK_DOWNLOAD_SUCCESSED = 3

    /**
     * 自动检测工具类型 4-开始安装
     */
    const val KEY_CHECK_INSTALL_START = 4

    /**
     * 自动检测工具类型 5-安装成功
     */
    const val KEY_CHECK_INSTALL_SUCCESSED = 5

    /**
     * 自动检测工具类型 6-打开成功
     */
    const val KEY_CHECK_OPEN_SUCCESS = 6

    /**
     * 测试包名
     */
    const val KEY_CHECK_PACKAGE_NEME = "com.mediamain.android.demo"

    /**
     * 悬浮升级入口url
     */
    const val KEY_FLOATING_WEB_AD_URL = "floating_web_ad_url"

    const val DIR_CONFIG = "flutter_sdk"
}