import 'package:flutter/material.dart';
import 'package:sdk_flutter_example/router/const/CommonConst.dart';

class NavPage extends StatefulWidget {
  @override
  State<StatefulWidget> createState() {
    return _NavPageState();
  }

}

class _NavPageState extends State<NavPage> {
  var _position = 0;
  final _ctrl = PageController();

  @override
  Widget build(BuildContext context) {

    return Scaffold(
      body: PageView(
        controller: _ctrl,
        children: CommonConst.Bottom_Nav_Page_Map,
      ),
      bottomNavigationBar: BottomNavigationBar(
        onTap: _onTap,
        items: _getBottomNavBarItems(),
        currentIndex: _position,
      ),
    );
  }


  // List<Widget> _getPageContent() => <Widget>[AdTypePage(), SettingPage()];

  void _onTap(int value) {
    setState(() {
      _ctrl.jumpToPage(value);
      _position = value;
    });
  }

  List<BottomNavigationBarItem> _getBottomNavBarItems() {
    return CommonConst.Bottom_Nav_Map.keys.map((e) =>
        BottomNavigationBarItem(
            backgroundColor: Colors.greenAccent,
            label: e,
            icon: Icon(CommonConst.Bottom_Nav_Map[e],
            )
        )).toList();
  }
}
