import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:flutter/rendering.dart';
import 'package:sdk_flutter/ad/BannerWidget.dart';

class BannerPage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return WillPopScope(
      child: Scaffold(
        appBar: AppBar(
          title: Text("Banner类型"),
        ),
        body: Container(
          child: IconChildPage(),
        ),
      ),
      onWillPop: () => _backClick(context),
    );
  }

  _backClick(BuildContext context) {
    Navigator.pop(context);
    debugPrint("BannerPage返回点击");
  }
}

class IconChildPage extends StatefulWidget {
  @override
  _IconChildPageState createState() {
    return _IconChildPageState();
  }
}

class _IconChildPageState extends State<IconChildPage>
    with WidgetsBindingObserver {
  TextEditingController slotIdContr = TextEditingController();
  String slotId = "283679";
  BannerWidget _mBannerAd;
  var lastPopTime = DateTime.now();

  @override
  build(BuildContext context) {
    if (kReleaseMode) {
      slotId = "371245";
    }

    _mBannerAd = BannerWidget(
        slotId: slotId,
        userId: "user-123",
        context: context,
        onClickCallBack: () {
          debugPrint("素材被点击了");
        }
    );
    return Column(
      children: [
        TextField(
          controller: slotIdContr,
          keyboardType: TextInputType.number,
          decoration: InputDecoration(
            labelText: "输入Slot_ID(默认:283679)",
          ),
          autofocus: false,
        ),
        MaterialButton(
            shape: Border.all(color: Colors.blue,width: 2.5,style: BorderStyle.solid),
            child: Text("请求广告"),
            onPressed: () {
              setState(() {
                slotId = slotIdContr.text.isEmpty ? "283679" : slotIdContr.text;
              });
            }),
        Container(
          margin: EdgeInsets.only(top: 0),
          child: _mBannerAd,
        ),
      ],
    );
  }

  @override
  void initState() {
    super.initState();
  }

  @override
  void dispose() {
    super.dispose();
  }

// _loadAdClick(BuildContext context){
//   var initOffset = Offset(5, MediaQuery.of(this.context).size.height * 0.7);
//
//   return _mIconAd?.loadAd(
//       pContext: context,
//       isDraggable: true,
//       radius: 20,
//       );
// }
}
