import 'package:flutter/material.dart';
import 'package:sdk_flutter/util/TestUtils.dart';

class BugPage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return WillPopScope(
      child: Scaffold(
        appBar: AppBar(
          title: Text("Bug测试"),
        ),
        body: Container(
          child: ChildBugPage(),
        ),
      ),
      onWillPop: () => _backClick(context),
    );
  }

  _backClick(BuildContext context) {
    Navigator.pop(context);
    debugPrint("Bug测试返回点击");
  }
}

class ChildBugPage extends StatefulWidget {
  @override
  _ChildBugPageState createState() {
    return _ChildBugPageState();
  }
}

class _ChildBugPageState extends State<ChildBugPage> {
  @override
  build(BuildContext context) {
    return Column(
      children: [
        MaterialButton(
            shape: Border.all(
                color: Colors.blue, width: 2.5, style: BorderStyle.solid),
            child: Text("SDK Bug触发"),
            onPressed: () {
              TestUtils.touchBug();
            }),
      ],
    );
  }

  @override
  void initState() {
    super.initState();
  }

  @override
  void dispose() {
    super.dispose();
  }
}
