import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:flutter/rendering.dart';
import 'package:sdk_flutter/ad/CustomSuperAd.dart';
import 'package:sdk_flutter/model/AdBean.dart';
import 'package:sdk_flutter/model/ResultBean.dart';

class CustomPage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return WillPopScope(
      child: Scaffold(
        appBar: AppBar(
          title: Text("自定义类型"),
        ),
        body: Container(
          child: CustomChildPage(),
        ),
      ),
      onWillPop: () => _backClick(context),
    );
  }

  _backClick(BuildContext context) {
    Navigator.pop(context);
    print("IconPage返回点击");
  }
}

class CustomChildPage extends StatefulWidget {
  @override
  _CustomChildPageState createState() {
    return _CustomChildPageState();
  }
}

class _CustomChildPageState extends State<CustomChildPage>
    with WidgetsBindingObserver {
  CustomSuperAd _mCustomAd;
  var lastPopTime = DateTime.now();
  ResultBean<AdBean> _mData;
  BuildContext _mContext;
  Widget _showView;
  TextEditingController slotIdContr = TextEditingController();
  String _slotId = "283693";
  String _userId = "user-123";

  @override
  build(BuildContext context) {
    _mContext = context;
    if (kReleaseMode) {
      _slotId = "370067";
    }

    _showView = FutureBuilder(
      future: _requestData(),
      builder: (context, snapshot) {
        if (snapshot.hasData) {
          // 通过数据构建界面
          _mData = snapshot.data;
          debugPrint("图片: ${_mData?.data?.imageUrl}");
          return getShowWidget(context);
        } else {
          // 显示加载Loading，直到数据返回时停止
          return Container(); //CircularProgressIndicator();
        }
      },
    );

    return _showView;
  }

  Widget getShowWidget(BuildContext context) {
    var iContext = context;
    if (null == iContext) return Container();
    if (null == _mData) return Container();

    //原型
    var customView = Column(
      children: [
        TextField(
          controller: slotIdContr,
          keyboardType: TextInputType.number,
          decoration: InputDecoration(
            labelText: "输入Slot_ID(默认:283557)",
          ),
          autofocus: false,
        ),
        MaterialButton(
            shape: Border.all(
                color: Colors.blue, width: 2.5, style: BorderStyle.solid),
            child: Text("请求广告"),
            onPressed: () {
              setState(() {
                _slotId =
                    slotIdContr.text.isEmpty ? "283557" : slotIdContr.text;
              });
            }),
        Text("素材链接 ：${_mData?.data?.imageUrl}"),
        MaterialButton(
            shape: Border.all(
                color: Colors.orangeAccent,
                width: 2.5,
                style: BorderStyle.solid),
            child: TextButton(
              child: Text("打开活动"),
            ),
            onPressed: () {
              _mCustomAd.openActivity();
            })
      ],
    );

    _showView = customView;
    return _showView;
  }

  //拿数据
  Future<ResultBean<AdBean>> _requestData() async {
    var adSlot = _slotId;
    var userId = _userId;

    ResultBean<AdBean> result = await _mCustomAd.loadAd(
        pContext: _mContext,
        slotId: adSlot,
        userId: userId,
        onAdLoadSuccess: (ResultBean<AdBean> data) {
          _mCustomAd.onExposed();
        });
    return result;
  }

  @override
  void initState() {
    _mCustomAd = CustomSuperAd();
    super.initState();
  }

  @override
  void dispose() {
    super.dispose();
  }

// _loadAdClick(BuildContext context){
//   var initOffset = Offset(5, MediaQuery.of(this.context).size.height * 0.7);
//
//   return _mIconAd?.loadAd(
//       pContext: context,
//       isDraggable: true,
//       radius: 20,
//       );
// }
}
