import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:flutter/rendering.dart';
import 'package:sdk_flutter/ad/IconWidget.dart';

class IconPage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return WillPopScope(
      child: Scaffold(
        appBar: AppBar(
          title: Text("Icon类型"),
        ),
        body: Container(
          child: IconChildPage(),
        ),
      ),
      onWillPop: () => _backClick(context),
    );
  }

  _backClick(BuildContext context) {
    Navigator.pop(context);
    print("IconPage返回点击");
  }
}

class IconChildPage extends StatefulWidget {
  @override
  _IconChildPageState createState() {
    return _IconChildPageState();
  }
}

class _IconChildPageState extends State<IconChildPage>
    with WidgetsBindingObserver {
  IconWidget mIcon;
  TextEditingController slotIdContr = TextEditingController();
  String slotId = "284164";
  var lastPopTime = DateTime.now();

  @override
  build(BuildContext context) {
    if (kReleaseMode) {
      slotId = "371222";
    }

    mIcon = IconWidget(
      slotId: slotId,
      //283685 284164 ，283693
      userId: "user-123",
      context: context,
      isDraggable: false,
      isRounded: false,
      onClickCallBack: () {
        debugPrint("素材被点击了");
      },
      onAdCloseCallBack: () {
        debugPrint("素材关闭了");
      },
      onLoadFailedCallBack: (code, message) {
        debugPrint("请求失败 ${code} message = ${message}");
      },
      onLoadSuccessCallBack: () {
        debugPrint("请求成功");
      },
    );

    return Column(
      children: [
        TextField(
          controller: slotIdContr,
          keyboardType: TextInputType.number,
          decoration: InputDecoration(
            labelText: "输入Slot_ID(默认:284164)",
          ),
          autofocus: false,
        ),
        MaterialButton(
            shape: Border.all(color: Colors.blue,width: 2.5,style: BorderStyle.solid),
            child: Text("请求广告"),
            onPressed: () {
              setState(() {
                slotId = slotIdContr.text.isEmpty ? "284164" : slotIdContr.text;
              });
            }),
        Container(
          margin: EdgeInsets.only(top: 30),
          child: mIcon,
        ),
      ],
    );
  }

  @override
  void initState() {
    super.initState();
  }

  @override
  void dispose() {
    mIcon.getState()?.setVisibility(isVisibility: false);
    super.dispose();
  }

// _loadAdClick(BuildContext context){
//   var initOffset = Offset(5, MediaQuery.of(this.context).size.height * 0.7);
//
//   return _mIconAd?.loadAd(
//       pContext: context,
//       isDraggable: true,
//       radius: 20,
//       );
// }
}
