import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:flutter/rendering.dart';
import 'package:sdk_flutter/ad/InfoStreamWidget.dart';

class InfoStreamPage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return WillPopScope(
      child: Scaffold(
        appBar: AppBar(
          title: Text("信息流类型"),
        ),
        body: Container(
          child: IconChildPage(),
        ),
      ),
      onWillPop: () => _backClick(context),
    );
  }

  _backClick(BuildContext context) {
    Navigator.pop(context);
    print("IconPage返回点击");
  }
}

class IconChildPage extends StatefulWidget {
  @override
  _IconChildPageState createState() {
    return _IconChildPageState();
  }
}

class _IconChildPageState extends State<IconChildPage>
    with WidgetsBindingObserver {
  InfoStreamWidget _mInfoStreamAd1;
  InfoStreamWidget _mInfoStreamAd2;
  InfoStreamWidget _mInfoStreamAd3;
  InfoStreamWidget _mInfoStreamAd4;
  var lastPopTime = DateTime.now();
  TextEditingController slotIdContr = TextEditingController();
  String slotId = "283693";
  String userId = "user-123";

  @override
  build(BuildContext context) {
    if (kReleaseMode) {
      slotId = "383161";
    }

    _mInfoStreamAd1 = InfoStreamWidget(
      slotId: slotId,
      userId: userId,
      context: context,
      type: 1,
      onClickCallBack: () {
        debugPrint("素材被点击了");
      },
      onLoadFailedCallBack: (code, message) {
        debugPrint("请求失败 ${code} message = ${message}");
      },
    );

    var showWidget = ListView(
      scrollDirection: Axis.vertical,
      children: [
        TextField(
          controller: slotIdContr,
          keyboardType: TextInputType.number,
          decoration: InputDecoration(
            labelText: "输入Slot_ID(默认:283693)",
          ),
          autofocus: false,
        ),
        MaterialButton(
            shape: Border.all(color: Colors.blue,width: 2.5,style: BorderStyle.solid),
            child: Text("请求广告"),
            onPressed: () {
              setState(() {
                slotId = slotIdContr.text.isEmpty ? "283693" : slotIdContr.text;
              });
            }),
        Container(height: 20,
          child: Text("信息流："),
        ),
        Container(
          child: _mInfoStreamAd1,
        ),
        // Container(height: 20,
        //   child: Text("上文下图："),
        // ),
        // Container(
        //   child: _mInfoStreamAd2,
        // ),
        // Container(height: 20,
        //   child: Text("右文左图："),
        // ),
        // Container(
        //   child: _mInfoStreamAd3,
        // ),
        // Container(height: 20,
        //   child: Text("三图："),
        // ),
        // Container(
        //   child: _mInfoStreamAd4,
        // )
      ],
    );


    return showWidget;
  }

  @override
  void initState() {
    // _mInfoStreamAd1 = InfoStreamWidget(
    //   slotId: slotId,
    //   userId: userId,
    //   context: context,
    //   type: 1,
    //   onClickCallBack: () {
    //     debugPrint("素材被点击了");
    //   },
    //   onLoadFailedCallBack: (code, message) {
    //     debugPrint("请求失败 ${code} message = ${message}");
    //   },
    // );
    // _mInfoStreamAd2 = InfoStreamWidget(
    //   slotId: slotId,
    //   userId: userId,
    //   context: context,
    //   type: 2,
    //   onClickCallBack: () {
    //     debugPrint("素材被点击了");
    //   },
    //   onLoadFailedCallBack: (code, message) {
    //     debugPrint("请求失败 ${code} message = ${message}");
    //   },
    // );
    // _mInfoStreamAd3 = InfoStreamWidget(
    //   slotId: slotId,
    //   userId: userId,
    //   context: context,
    //   type: 3,
    //   onClickCallBack: () {
    //     debugPrint("素材被点击了");
    //   },
    //   onLoadFailedCallBack: (code, message) {
    //     debugPrint("请求失败 ${code} message = ${message}");
    //   },
    // );
    // _mInfoStreamAd4 = InfoStreamWidget(
    //   slotId: slotId,
    //   userId: userId,
    //   context: context,
    //   type: 4,
    //   onClickCallBack: () {
    //     debugPrint("素材被点击了");
    //   },
    //   onLoadFailedCallBack: (code, message) {
    //     debugPrint("请求失败 ${code} message = ${message}");
    //   },
    // );
    super.initState();
  }

  @override
  void dispose() {
    super.dispose();
  }

// _loadAdClick(BuildContext context){
//   var initOffset = Offset(5, MediaQuery.of(this.context).size.height * 0.7);
//
//   return _mIconAd?.loadAd(
//       pContext: context,
//       isDraggable: true,
//       radius: 20,
//       );
// }
}
