import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:flutter/rendering.dart';
import 'package:sdk_flutter/ad/PopupWidget.dart';

class PopupPage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return WillPopScope(
      child: Scaffold(
        appBar: AppBar(
          title: Text("弹窗类型"),
        ),
        body: Container(
          child: PopupChildPage(),
        ),
      ),
      onWillPop: () => _backClick(context),
    );
  }

  _backClick(BuildContext context) {
    Navigator.pop(context);
    print("PopupPage返回点击");
  }
}

class PopupChildPage extends StatefulWidget {
  @override
  _PopupChildPageState createState() {
    return _PopupChildPageState();
  }
}

class _PopupChildPageState extends State<PopupChildPage>
    with WidgetsBindingObserver {
  var lastPopTime = DateTime.now();

  @override
  build(BuildContext context) {
    return Stack(
      alignment: Alignment.topLeft,
      children: [
        Container(
            //margin: EdgeInsets.only(top: 0),
            alignment: Alignment.center,
            child: ElevatedButton(
                child: Text('展示弹窗'),
                onPressed: () {
                  _showPopupAd();
                })),
      ],
    );
  }

  @override
  void initState() {
    Future.delayed(Duration(milliseconds: 1000), () {
      _showPopupAd();
    });
    super.initState();
  }

  @override
  void dispose() {
    super.dispose();
  }

  _showPopupAd() {
    Navigator.of(context).push(PageRouteBuilder(
      opaque: false,
      pageBuilder: (context, animation, secondaryAnimation) {
        var slotId = "283685";
        if (kReleaseMode) {
          slotId = "367628";
        }

        return PopupWidget(
            slotId: slotId,
            userId: "user-123",
            context: context,
            onClickCallBack: () {
              debugPrint("素材被点击了");
            });
      },
      transitionsBuilder: (context, animation, secondaryAnimation, child) {
        return FadeTransition(
          opacity: Tween(begin: 0.0, end: 1.0).animate(
              CurvedAnimation(parent: animation, curve: Curves.fastOutSlowIn)),
          child: child,
        );
      },
    ));
  }

// _loadAdClick(BuildContext context){
//   var initOffset = Offset(5, MediaQuery.of(this.context).size.height * 0.7);
//
//   return _mIconAd?.loadAd(
//       pContext: context,
//       isDraggable: true,
//       radius: 20,
//       );
// }
}
