import 'package:flutter/material.dart';
import 'package:flutter/rendering.dart';
import 'package:sdk_flutter/ad/BannerWidget.dart';
import 'package:sdk_flutter/global/TFConfig.dart';

class ProxySettingPage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return WillPopScope(
      child: Scaffold(
        appBar: AppBar(
          title: Text("代理设置"),
        ),
        body: Container(
          child: ProxySettingChildPage(),
        ),
      ),
      onWillPop: () => _backClick(context),
    );
  }

  _backClick(BuildContext context) {
    Navigator.pop(context);
    debugPrint("代理设置返回点击");
  }
}

class ProxySettingChildPage extends StatefulWidget {
  @override
  _ProxySettingChildPageState createState() {
    return _ProxySettingChildPageState();
  }
}

class _ProxySettingChildPageState extends State<ProxySettingChildPage>
    with WidgetsBindingObserver {
  TextEditingController ipContr = TextEditingController();
  String ipAndPort = "172.16.224.60:8899";

  @override
  build(BuildContext context) {
    return Column(
      children: [
        TextField(
          controller: ipContr,
          keyboardType: TextInputType.number,
          decoration: InputDecoration(
            labelText: "输入IP和端口号(例:${ipAndPort}) 注:设置后重启APP",
          ),
          autofocus: false,
        ),
        MaterialButton(
            shape: Border.all(color: Colors.blue,width: 2.5,style: BorderStyle.solid),
            child: Text("设置端口"),
            onPressed: () {
              ipAndPort = ipContr.text;
              TFConfig.setProxyIP(ipAndPort);
            }),
        // Container(
        //   margin: EdgeInsets.only(top: 0),
        //   child: Text("当前端口 = "),
        // ),
      ],
    );
  }

  @override
  void initState() {
    super.initState();
  }

  @override
  void dispose() {
    super.dispose();
  }

}
