import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:sdk_flutter/ad/SplashAd.dart';

class SplashPage extends StatelessWidget{

  @override
  Widget build(BuildContext context) {
    return WillPopScope(
      child: Scaffold(
        body: Container(
          child: SplashChildPage(),
        ),
      ),
      onWillPop: () => _backClick(context),
    );
  }

  _backClick(BuildContext context) {
    Navigator.pop(context);
    print("IconPage返回点击");
  }

}

class SplashChildPage extends StatefulWidget {
  @override
  _SplashChildPageState createState() {
    return _SplashChildPageState();
  }
}

class _SplashChildPageState extends State<SplashChildPage>
    with WidgetsBindingObserver {
  SplashAd _mSplashAd;
  var lastPopTime = DateTime.now();

  @override
  build(BuildContext context) {

    var slotId = "283674";
    if (kReleaseMode) {
      slotId = "330487";
    }

    return Stack(
      alignment: Alignment.topLeft,
      children: [
        Container(
            child: _mSplashAd?.loadAd(
                slotId: slotId,
                userId: "user-123",
                pContext: context,
                onClickCallBack: () {
                  debugPrint("素材被点击了");
                },
                onAdCloseCallBack: () {
                  debugPrint("素材关闭了");
                },
                onLoadFailedCallBack: (code, message) {
                  debugPrint("请求失败 ${code} message = ${message}");
                },
                onLoadSuccessCallBack: () {
                  debugPrint("请求成功");
                },
            ) //_loadAdClick(context),
        ),
      ],
    );
  }

  @override
  void initState() {
    _mSplashAd = SplashAd();
    super.initState();
  }
}