//
//  TATUserDataHelper.h
//  TATMediaSDK
//
//  Created by wuleslie on 2019/12/4.
//  Copyright © 2019 wuleslie. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface TATUserDataHelper : NSObject

/**
 * 采集必要的数据
 * @param blockList 需要屏蔽的字段列表
 */
+ (NSString *)amassMdStringWithBlockList:(NSArray *)blockList;

/**
 * 基本的数据
 */
+ (NSString *)sevingMDString;
/**
 启动或崩溃上报数据
 */
+ (NSString *)crashMDWithCrashLog:(NSString *)crashLog dataType:(NSString *)dataType crashType:(NSString *)crashType;
/**
 * 转换配置需要屏蔽的字段
 * @param blockList 需要屏蔽的字段列表
 */
+ (void)configBlockList:(NSArray *)blockList;

/**
 * 媒体API所需要的设备信息
 */
+ (NSDictionary *)mdParamsForMediaAPI;

/**
 * 崩溃统计API所需要的设备信息
 */
+ (NSDictionary *)basicMdParamsForCrashAPI;


@end

NS_ASSUME_NONNULL_END
