//
//  NSData+TATGZip.h
//  TATMediaSDK
//
//  Created by wuleslie on 2019/12/3.
//  Copyright © 2019 wuleslie. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <zlib.h>

NS_ASSUME_NONNULL_BEGIN

@interface NSData (TATGZip)

/*
 * 返回压缩后的data，压缩level为默认的Z_DEFAULT_COMPRESSION
 */
- (NSData *)gzippedData;

/*
 * 返回压缩后的data
 * @param level 压缩等级[0.0, 1.0]
 */
- (NSData *)gzippedDataWithCompressionLevel:(float)level;

/*
 * 返回解压缩后的data
 */
- (NSData *)ungzipData;

/*
 * 判断data是否为gzip压缩过的
 */
- (BOOL)isGZippedData;

@end

NS_ASSUME_NONNULL_END
