//
//  NSDate+TATFormatter.m
//  TATMediaSDK
//
//  Created by wuleslie on 2019/12/5.
//  Copyright © 2019 wuleslie. All rights reserved.
//

#import "NSDate+TATFormatter.h"

@implementation NSDate (TATFormatter)

- (NSString *)formatDateWithDateFormat:(const NSString *)dateFormat {
    NSDateFormatter *formatter = [[NSDateFormatter alloc] init];
    formatter.dateFormat = (NSString *)dateFormat;
    formatter.locale = [NSLocale autoupdatingCurrentLocale];
    return [formatter stringFromDate:self];
}

- (NSString *)tat_yyyyMMddHHmmss {
    return [self formatDateWithDateFormat:@"yyyy-MM-dd HH:mm:ss"];
}

+ (long long)tat_currentTimestamp {
    return (long long)([[NSDate date] timeIntervalSince1970] * 1000);
}

@end
