import 'dart:async';
import 'package:flutter/material.dart';
import 'package:sdk_flutter/model/ResultBean.dart';
import 'package:sdk_flutter/model/AdBean.dart';
import 'package:flutter_inappwebview/flutter_inappwebview.dart';

//项目地址 https://pub.flutter-io.cn/packages/flutter_inappwebview/example

class ActivityWebPage extends StatefulWidget {
  final ResultBean<AdBean> data;
  final OverlayEntry entry;
  static String rewardData;

  const ActivityWebPage({Key key, @required this.data, this.entry})
      : super(key: key);

  @override
  _ActivityWebPageState createState() => new _ActivityWebPageState();
}

//预加载数据缓冲
// Future<void> _initWebView() async {
//   WidgetsFlutterBinding.ensureInitialized();
//   await AndroidInAppWebViewController.setWebContentsDebuggingEnabled(true);
//
//   var swAvailable = await AndroidWebViewFeature.isFeatureSupported(
//       AndroidWebViewFeature.SERVICE_WORKER_BASIC_USAGE);
//   var swInterceptAvailable = await AndroidWebViewFeature.isFeatureSupported(
//       AndroidWebViewFeature.SERVICE_WORKER_SHOULD_INTERCEPT_REQUEST);
//
//   if (swAvailable && swInterceptAvailable) {
//     AndroidServiceWorkerController serviceWorkerController =
//         AndroidServiceWorkerController.instance();
//
//     serviceWorkerController.serviceWorkerClient = AndroidServiceWorkerClient(
//       shouldInterceptRequest: (request) async {
//         print(request);
//         return null;
//       },
//     );
//   }
// }

class _ActivityWebPageState extends State<ActivityWebPage> {
  double progress = 0;
  String url = "";
  ValueNotifier<String> _titleListenable = ValueNotifier<String>("活动页");
  InAppWebViewController webViewControl;

  final GlobalKey webViewKey = GlobalKey();
  InAppWebViewGroupOptions options = InAppWebViewGroupOptions(
      crossPlatform: InAppWebViewOptions(
        useShouldOverrideUrlLoading: false,
        mediaPlaybackRequiresUserGesture: false,
      ),
      android: AndroidInAppWebViewOptions(
        useHybridComposition: true,
      ),
      ios: IOSInAppWebViewOptions(
        allowsInlineMediaPlayback: true,
      ));

  final urlController = TextEditingController();

  @override
  void initState() {
    // if (Platform.isAndroid) WebView.platform = SurfaceAndroidWebView();

    try {
      widget.entry?.remove();
    } catch (e) {}
    super.initState();
  }

  @override
  void dispose() {
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    var showWidget = WillPopScope(
        child: Scaffold(
          appBar: AppBar(
            title: ValueListenableBuilder(
              builder: _getTitleWidget,
              valueListenable: _titleListenable,
            ),
          ),
          body: Stack(
            children: [
              getWebViewPage(widget.data?.data?.activityUrl),
            ],
          ),
        ),
        onWillPop: () {
          _onWillPop(context);
        });

    return showWidget;
  }

  void _setTitle(String title) {
    _titleListenable.value = title;
  }

  Widget _getTitleWidget(BuildContext context, String value, Widget child) {
    return Text(value);
  }

  Widget getWebViewPage(String url) {
    debugPrint("活动URL = " + url);
    String urlT =
        "https://m.7hotest.com/item/detail3?id=2876&pid=11549&brandName=Other&a_slotId=284164&a_cid=12193340&a_tuiaId=taw-275570150572&imeiMd5=9037fb0f14e2eafa13e0a933c8df0955&a_deviceId=9037fb0f14e2eafa13e0a933c8df0955&a_appId=19369&userId=user-123&device=9037fb0f14e2eafa13e0a933c8df0955&a_oId=taw-275570150572";
    // if (Platform.isAndroid) WebView.platform = SurfaceAndroidWebView();
    return Container(
      child: InAppWebView(
        // key: webViewKey,
        // contextMenu: contextMenu,
        initialUrlRequest: URLRequest(url: Uri.parse(url)),
        // initialFile: "assets/index.html",
        // initialUserScripts: UnmodifiableListView<UserScript>([]),
        initialOptions: options,
        onWebViewCreated: (controller) {
          debugPrint("赋值 controller= ${controller}");
          webViewControl = controller;
          jsHandler(controller);
        },
        onLoadStart: (controller, url) {
          setState(() {
            this.url = url.toString();
            urlController.text = this.url;
          });
        },
        onLoadStop: (controller, url) async {
          setState(() {
            this.url = url.toString();
            urlController.text = this.url;
          });
        },
        onLoadError: (controller, url, code, message) {},
        onProgressChanged: (controller, progress) {
          if (progress == 100) {}
          setState(() {
            this.progress = progress / 100;
            urlController.text = this.url;
          });
        },
        onUpdateVisitedHistory: (controller, url, androidIsReload) {
          setState(() {
            this.url = url.toString();
            urlController.text = this.url;
          });
        },
      ),
    );
  }

  Future<bool> _onWillPop(BuildContext context) async {
    bool canGo = await webViewControl.canGoBack();
    if (canGo) {
      webViewControl.goBack();
    } else {
      Navigator.of(context).pop("退出");
    }
  }

  void takePackageInfo(String orderId) {}

  void jsHandler(InAppWebViewController controller) {
    controller.addJavaScriptHandler(handlerName: "reward", callback: (args){
      ActivityWebPage.rewardData = args.toString();
    });


  }
}
