import 'package:flutter/material.dart';
import 'package:sdk_flutter/global/AdCallBack.dart';

class AdIcon {
  static Widget getAdIcon(
    bool isVisibleOfIcon,
    bool isVisibleOfCloseButton,
    double height, {
    double closeWidth = 10,
    double closeHeight = 10,
    double iconWidth = 18,
    double iconHeight = 10,
    AdCloseCallBack adCloseCallBack,
  }) {
    if (!isVisibleOfIcon && !isVisibleOfCloseButton) {
      return Container(
        width: 0.0,
        height: 0.0,
      );
    }

    var iconClose = isVisibleOfCloseButton
        ? Container(
            width: closeWidth,
            height: closeHeight,
            decoration: ShapeDecoration(
              shape: RoundedRectangleBorder(
                borderRadius: BorderRadius.circular(0),
              ),
              image: DecorationImage(
                  image: AssetImage('assets/images/ad_close.png',
                      package: "sdk_flutter"),
                  fit: BoxFit.fill),
            ),
            child: MaterialButton(
              onPressed: () {
                if (null != adCloseCallBack) {
                  adCloseCallBack();
                }
              },
            ),
          )
        : Container(
            width: 0.0,
            height: 0.0,
          );

    var iconAd = isVisibleOfIcon
        ? Container(
            width: iconWidth,
            height: iconHeight,
            decoration: ShapeDecoration(
              shape: RoundedRectangleBorder(
                borderRadius: BorderRadius.circular(0),
              ),
              image: DecorationImage(
                  image: AssetImage('assets/images/ad_icon.png',
                      package: "sdk_flutter"),
                  fit: BoxFit.fill),
            ),
          )
        : Container(
            width: 0.0,
            height: 0.0,
          );

    var adView = Container(
      height: height,
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.end,
        children: [
          iconClose,
          Spacer(),
          iconAd,
        ],
      ),
    );

    return adView;
  }
}
