import 'package:flutter/material.dart';
import 'package:flutter_inappwebview/flutter_inappwebview.dart';

import 'in_app_browser_example.screen.dart';

class MyChromeSafariBrowser extends ChromeSafariBrowser {
  @override
  void onOpened() {
    print("ChromeSafari browser opened");
  }

  @override
  void onCompletedInitialLoad() {
    print("ChromeSafari browser initial load completed");
  }

  @override
  void onClosed() {
    print("ChromeSafari browser closed");
  }
}

class ChromeSafariBrowserExampleScreen extends StatefulWidget {
  final ChromeSafariBrowser browser = MyChromeSafariBrowser();

  @override
  _ChromeSafariBrowserExampleScreenState createState() =>
      _ChromeSafariBrowserExampleScreenState();
}

class _ChromeSafariBrowserExampleScreenState
    extends State<ChromeSafariBrowserExampleScreen> {
  @override
  void initState() {
    widget.browser.addMenuItem(ChromeSafariBrowserMenuItem(
        id: 1,
        label: 'Custom item menu 1',
        action: (url, title) {
          print('Custom item menu 1 clicked!');
          print(url);
          print(title);
        }));
    widget.browser.addMenuItem(ChromeSafariBrowserMenuItem(
        id: 2,
        label: 'Custom item menu 2',
        action: (url, title) {
          print('Custom item menu 2 clicked!');
          print(url);
          print(title);
        }));
    super.initState();
  }

  @override
  Widget build(BuildContext context) {

    String url = "https://m.7hotest.com/item/detail3?id=2876&pid=11549&brandName=Other&a_slotId=284164&a_cid=12193340&a_tuiaId=taw-275570150572&imeiMd5=9037fb0f14e2eafa13e0a933c8df0955&a_deviceId=9037fb0f14e2eafa13e0a933c8df0955&a_appId=19369&userId=user-123&device=9037fb0f14e2eafa13e0a933c8df0955&a_oId=taw-275570150572";
    return Scaffold(
        appBar: AppBar(
            title: Text(
          "ChromeSafariBrowser",
        )),
        drawer: myDrawer(context: context),
        body: Center(
          child: ElevatedButton(
              onPressed: () async {
                await widget.browser.open(
                    url: Uri.parse(url),
                    options: ChromeSafariBrowserClassOptions(
                        android: AndroidChromeCustomTabsOptions(
                            addDefaultShareMenuItem: false,
                            keepAliveEnabled: true),
                        ios: IOSSafariOptions(
                            dismissButtonStyle:
                                IOSSafariDismissButtonStyle.CLOSE,
                            presentationStyle:
                                IOSUIModalPresentationStyle.OVER_FULL_SCREEN)));
              },
              child: Text("Open Chrome Safari Browser")),
        ));
  }
}
