import 'package:sdk_flutter/global/QueryCommonConfig.dart';
import 'package:sdk_flutter/util/CommonUtils.dart';
import 'package:sdk_flutter/util/CrashUtils.dart';
import 'package:shared_preferences/shared_preferences.dart';

import 'CommonConfig.dart';
import 'CrashReport.dart';
import 'cons/CommonData.dart';

class TFConfig {
  static String _appKey;
  static String _appSecret;
  static bool _isInit = false;

  static void init(String appKey, String appSecret) {
    if (CommonUtils.isEmpty(appKey) || CommonUtils.isEmpty(appSecret)) {
      _isInit = false;
    }
    _appKey = appKey;
    _appSecret = appSecret;
    _isInit = true;

    CommonConfig.getInstance().setConfig(CommonConfig.RELEASE);
    _checkData();
    _appStart();
  }

  static String get appKey => _appKey;

  static String get appSecret => _appSecret;

  static bool get isInit => _isInit;

  static reportSwitch(bool isOFF){
    CrashUtils.setOFF(isOFF);
  }

  //设置代理IP
  static setProxyIP(String ip) async{
    Future<SharedPreferences> _prefs = SharedPreferences.getInstance();
    final SharedPreferences prefs = await _prefs;

    prefs.setString(CommonData.HTTP_PROXY_IP, ip);
  }

  static void _checkData() {
    QueryCommonConfig.instance.startQueryCommonConfig();
  }

  static void _appStart() {
    CrashReport.instance.crashReport("","1","");
  }
}
