import 'package:flutter/material.dart';
import 'package:sdk_flutter/http/http_utils/HttpUtil.dart';
import 'package:sdk_flutter/model/ResultBean.dart';
import 'package:sdk_flutter/util/CrashUtils.dart';

class BaseApi<T>{
  factory BaseApi() => _getInstance();

  BaseApi._private();

  static BaseApi get instance => _getInstance();

  static BaseApi _instance;

  static _getInstance() {
    if(_instance == null){
      _instance = BaseApi._private();
    }
    return _instance;
  }

  Future<ResultBean<T>> postAd(String url, Map<String,dynamic> params) async {
    var response;

    response = await HttpUtil.getInstance()
        .client
        .post(url, queryParameters: params)
        .catchError((e) {
      debugPrint("请求错误 ${e.toString()}");
      CrashUtils.crashReport(e,isReport: false);
    });

    print("实际响应 ==="+ response.toString());
    return response;
  }
}