import 'package:flutter/material.dart';
import 'package:sdk_flutter/http/http_utils/HttpUtil.dart';
import 'package:sdk_flutter/model/AdBean.dart';
import 'package:sdk_flutter/model/ResultBean.dart';
import 'package:sdk_flutter/util/CrashUtils.dart';

class EnterApi {
  EnterApi._private();

  static EnterApi _instance;

  static EnterApi get instance => _getInstance();

  static _getInstance() {
    if (null == _instance) {
      _instance = EnterApi._private();
    }
    return _instance;
  }

  factory EnterApi() => _getInstance();

  //曝光&点击 reportType ： 0-曝光 1-点击
  reportData(int reportType, ResultBean<AdBean> data, Map params) {
    if (null == data) return;
    if (null == params) return;
    if (reportType == 0) {
      //曝光
      reportExposed(data.data.reportExposureUrl, params);
    } else if (reportType == 1) {
      //点击
      reportClick(data.data.reportClickUrl, params);
    }
  }

  //点击上报
  Future<void> reportClick(String url, Map params) async {
    var response;
    response = await HttpUtil.getInstance()
        .client
        .get(url, queryParameters: params)
        .catchError((e) {
      debugPrint("请求错误 ${e.toString()}");
      CrashUtils.crashReport(e,isReport: false);
    });
    print("实际响应 ===" + response.toString());
  }
  //点击曝光
  Future<void> reportExposed(String url, Map params) async {
    var response;
    response = await HttpUtil.getInstance()
        .client
        .get(url, queryParameters: params)
        .catchError((e) {
      debugPrint("请求错误 ${e.toString()}");
      CrashUtils.crashReport(e,isReport: false);
    });
    print("实际响应 ===" + response.toString());
  }
}
