import 'package:dio/dio.dart';

class LogsInterceptors extends InterceptorsWrapper {
  @override
  onRequest(RequestOptions options, RequestInterceptorHandler handler) async {
    print("==========请求baseUrl：${options.baseUrl} ==========");
    print("==========请求url：${options.path} ==========");
    print('==========请求头: ' + options.headers.toString() + "==========");
    if (options.data != null) {
      print('==========请求参数: ' + options.data.toString() + "==========");
    }
    if (options.queryParameters != null) {
      print('==========请求参数queryParameters: ' +
          options.queryParameters.toString() +
          "==========");
    }
    handler.next(options);
  }

  @override
  onResponse(Response response, ResponseInterceptorHandler handler) async {
    if (response != null) {
      print('==========响应体: ' + response.toString() + "==========");
    }
    handler.next(response);
  }

  @override
  onError(DioError err, ErrorInterceptorHandler handler) async {
    print('==========请求异常: ' + err.toString() + "==========");
    print('==========请求异常信息: ' + err.response?.toString() + "==========" ??
        "==========");
    handler.next(err);
  }
}
