class AdBean {
  //活动链接
  final String activityUrl;

  //图片素材
  final String imageUrl;

  // 素材ID
  final int sckId;

  // 素材尺寸:"640*150"
  final String size;

  //点击链接
  final String reportClickUrl;

  //曝光链接
  final String reportExposureUrl;

  //标题
  final String extTitle;

  //描述
  final String extDesc;

  //是否展示广告
  final bool isSdkType;

  //是否广告标志性可见
  final bool isVisibleOfIcon;

  //是否关闭按钮可见
  final bool isVisibleOfCloseButton;

  //广告位投放场景
  final int sceneType;

  //1=左文右图、2=上文下图、3=右文左图、4=三图
  final int specType;

  //展示动效类型 0-默认无变化
  final int theoryInteractiveType;

  //展示动效类型集合
  final List<dynamic> theoryInteractiveTypes;

  //气泡图片地址（后期可拓展）
  final String textLinkBubbleUrl;

  final int iconPlayInterval;
  final bool isDownloadAd;
  final List<dynamic> imageUrlList;

  AdBean(
      {this.activityUrl,
      this.imageUrl,
      this.sckId,
      this.size,
      this.reportClickUrl,
      this.reportExposureUrl,
      this.extTitle,
      this.extDesc,
      this.isSdkType = true,
      this.isVisibleOfIcon = true,
      this.isVisibleOfCloseButton = true,
      this.sceneType,
      this.specType,
      this.theoryInteractiveType,
      this.theoryInteractiveTypes,
      this.textLinkBubbleUrl,
      this.iconPlayInterval,
      this.isDownloadAd,
      this.imageUrlList});

  factory AdBean.fromJson(Map<String, dynamic> map) {
    return AdBean(
      activityUrl: map['activityUrl'],
      imageUrl: map['imageUrl'],
      sckId: map['sckId'],
      size: map['size'],
      reportClickUrl: map['reportClickUrl'],
      reportExposureUrl: map['reportExposureUrl'],
      extTitle: map['extTitle'],
      extDesc: map['extDesc'],
      isSdkType: map['isSdkType'],
      isVisibleOfIcon: map['isVisibleOfIcon'],
      isVisibleOfCloseButton: map['isVisibleOfCloseButton'],
      sceneType: map['sceneType'],
      specType: map['specType'],
      theoryInteractiveType: map['theoryInteractiveType'],
      theoryInteractiveTypes: map['theoryInteractiveTypes'],
      textLinkBubbleUrl: map['textLinkBubbleUrl'],
      iconPlayInterval: map['iconPlayInterval'],
      isDownloadAd: map['isDownloadAd'],
      imageUrlList: map['imageUrlList'],
    );
  }

  @override
  String toString() {
    return 'AdBean{activityUrl: $activityUrl, imageUrl: $imageUrl, sckId: $sckId, size: $size,'
        ' reportClickUrl: $reportClickUrl, reportExposureUrl: $reportExposureUrl, extTitle: $extTitle,'
        ' extDesc: $extDesc, isSdkType: $isSdkType, isVisibleOfIcon: $isVisibleOfIcon,'
        ' isVisibleOfCloseButton: $isVisibleOfCloseButton, sceneType: $sceneType, specType: $specType,'
        ' theoryInteractiveType: $theoryInteractiveType, theoryInteractiveTypes: $theoryInteractiveTypes,'
        ' textLinkBubbleUrl: $textLinkBubbleUrl}, iconPlayInterval: $iconPlayInterval}, isDownloadAd: $isDownloadAd}, imageUrlList: $imageUrlList}';
  }
}
