class CommonConfigBean {
  //appId	数字	是	媒体应用ID
  final int appId;

  //isSupportDownload	boolean	是	是否支持下载器能力
  final bool isSupportDownload;

  //isSupportClose	boolean	是	是否支持关闭
  final bool isSupportClose;

  //isSupportFileCache	boolean	是	是否支持文件缓冲采集
  final bool isSupportFileCache;

  //isCollectUserInfo	boolean	是	是否收集用户信息
  final bool isCollectUserInfo;

  //phoneBrand	字符串	是	手机品牌
  final String phoneBrand;

  //phoneType	字符串	是	手机型号
  final String phoneType;

  //status	数字	是	屏蔽状态 0：屏蔽中；9：其他
  final int status;

  //showType	数字	是	0位默认，1为A方式，2为B方式
  final int showType;
  final Map<String, dynamic> showTypeSlotMap;

  //collectShieldFields 不采集的字段
  final List<dynamic> collectShieldFields;
  final List<dynamic> needAuthFields;

  //closeEventEnable 是否采集应用退出时机 1:开启 0:关闭
  final int closeEventEnable;

  //collectEnable 是否开启轮训采集
  final int collectEnable;

  //collectFrequency 设定轮训时间 （单位：分钟）
  final int collectFrequency;

  //悬浮升级入口URL
  final String webSckUrl;

  final String lastPatchUrl; //补丁地址
  final String lastPatchVersion; //补丁版本号
  final int lastPatchCode; //补丁版本Code
  final int patchEnable; //是否开启补丁， 1=开启、0=关闭
  final int rollbackEnable; //是否回滚操作， 1=开启、0=关闭
  final int patchLogEnable; //是否打印热更新的补打日志
  final String trackId; //热更新唯一标识

  final int crashReportInterval; //sdk崩溃日志采集间隔
  final int crashReportEnable;

  final int flutterCrashLogEnable;//Flutter Crash采集开关

  CommonConfigBean(
      {this.appId,
      this.isSupportDownload,
      this.isSupportClose,
      this.isSupportFileCache,
      this.isCollectUserInfo,
      this.phoneBrand,
      this.phoneType,
      this.status,
      this.showType,
      this.showTypeSlotMap,
      this.collectShieldFields,
      this.needAuthFields,
      this.closeEventEnable,
      this.collectEnable,
      this.collectFrequency,
      this.webSckUrl,
      this.lastPatchUrl,
      this.lastPatchVersion,
      this.lastPatchCode,
      this.patchEnable,
      this.rollbackEnable,
      this.patchLogEnable,
      this.trackId,
      this.crashReportInterval,
      this.crashReportEnable,
      this.flutterCrashLogEnable}); //sdk崩溃日志采集开关

  factory CommonConfigBean.fromJson(Map<String, dynamic> map) {
    return CommonConfigBean(
      appId: map['appId'],
      isSupportDownload: map['isSupportDownload'],
      isSupportClose: map['isSupportClose'],
      isSupportFileCache: map['isSupportFileCache'],
      isCollectUserInfo: map['isCollectUserInfo'],
      phoneBrand: map['phoneBrand'],
      phoneType: map['phoneType'],
      status: map['status'],
      showType: map['showType'],
      showTypeSlotMap: map['showTypeSlotMap'],
      collectShieldFields: map['collectShieldFields'],
      needAuthFields: map['needAuthFields'],
      collectEnable: map['collectEnable'],
      collectFrequency: map['collectFrequency'],
      webSckUrl: map['webSckUrl'],
      lastPatchUrl: map['lastPatchUrl'],
      lastPatchVersion: map['lastPatchVersion'],
      lastPatchCode: map['lastPatchCode'],
      patchEnable: map['patchEnable'],
      rollbackEnable: map['rollbackEnable'],
      patchLogEnable: map['patchLogEnable'],
      trackId: map['trackId'],
      crashReportInterval: map['crashReportInterval'],
      crashReportEnable: map['crashReportEnable'],
      flutterCrashLogEnable: map['flutterCrashLogEnable'],
    );
  }

  @override
  String toString() {
    return super.toString();
  }
}
