class ResultBean<T> {
  T data;
  String code;
  String desc;
  bool success;

  ResultBean({this.data, this.code, this.desc, this.success});

  @override
  String toString() {
    return 'RepResult{data: $data, code: $code, desc:$desc, success:$success}';
  }

  static ResultBean<T> fromData<T>(dynamic data) {
    return ResultBean<T>(
      data: data['data'],
      code: data['code'],
      desc: data['desc'],
      success: data['success'],
    );
  }

  static ResultBean<T> error<T>(String msg) {
    return ResultBean(
      data: null,
      code: "0000",
      desc: "请求错误",
      success: false,
    );
  }

  static ResultBean<T> ok<T>(T data) {
    return ResultBean(
      data: data,
      code: "200",
      desc: "请求成功",
      success: true,
    );
  }
}
