import 'dart:async';

import 'package:flutter/material.dart';
import 'package:sdk_flutter/global/AdCallBack.dart';

class CountDownPlugin extends StatefulWidget{

  bool _autoClose = true;
  AdCloseCallBack _onAdCloseCallBack;

  CountDownPlugin(AdCloseCallBack adCloseCallBack){
    _onAdCloseCallBack = adCloseCallBack;
  }


  autoClose(bool value) {
    _autoClose = value;
  }

  @override
  State<StatefulWidget> createState() {
    return new _CountDownPlugin();
  }

}

class _CountDownPlugin extends State<CountDownPlugin>{

  Timer _timer;
  int _currentNum = 5;
  String _str = "5s 跳过";

  @override
  Widget build(BuildContext context) {
    return Stack(
      children: [
        GestureDetector(
          behavior: HitTestBehavior.opaque,
          onTap: () => close(),
          child: Container(
            decoration: new BoxDecoration(
              color: Colors.grey[300],
              borderRadius: new BorderRadius.circular(5.0),
            ),
            margin: new EdgeInsets.all(7.0),
            width: 50.0,
            height: 20.0,
            child: Text(
              '$_str',
              textAlign: TextAlign.center,
              style: TextStyle(
                fontSize: 12,
                color: Colors.white,
              ),
            ),
          ),
        ),
      ],
    );
  }

  @override
  void initState() {
    super.initState();

    _timer = Timer.periodic(Duration(milliseconds: 1000), (timer) {
      _currentNum--;
      if(_currentNum == 0){
        _timer.cancel();
        
        close();
      }

      _str = "$_currentNum" + "s 跳过";
      setState(() {

      });
    });
  }

  @override
  void dispose() {
    _timer.cancel();
    super.dispose();
  }

  void close(){
    // 关闭并跳转
    if(widget._onAdCloseCallBack != null){
      widget._onAdCloseCallBack();
    }

    if(widget._autoClose){
      Navigator.pop(context);
    }
  }
}