import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class DecorationPlugin{

  static Decoration getCommonDecoration({@required DecorationImage dImage, bool isCircle = false, double radius = 10.0}){
    var decoration;
    if(isCircle){
      decoration = getCircleShape(dImage: dImage);
    }else{
      decoration = getRadiusShape(dImage: dImage,radius: radius);
    }
    return decoration;
  }

  static Decoration getCircleShape({@required DecorationImage dImage}){
     var decoration = BoxDecoration(
       shape: BoxShape.circle,
       boxShadow: [
         BoxShadow(
           color: Colors.blue.withOpacity(0.5),
           offset: const Offset(0.0,0.0),
           blurRadius: 6.0,
           spreadRadius: 0.0
         )
       ],
       image: dImage,
     );
     return decoration;
  }

  static Decoration getRadiusShape({@required DecorationImage dImage,double radius = 10.0}){
    var decoration = ShapeDecoration(
        shape: RoundedRectangleBorder(
          borderRadius: BorderRadius.circular(radius),
        ),
        image: dImage,
    );

    return decoration;
  }

  static Decoration getImage({@required DecorationImage dImage}){
    var decoration = BoxDecoration(
      shape: BoxShape.rectangle,
      image: dImage,
    );

    return decoration;
  }
}